*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
}

body{
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 0 auto;
    margin-top: 64px;
}

nav{
    position: fixed;
    top: 0;
    z-index: 99;
    background-color: white;
    width: 100vw;
    box-shadow: 0 0 4px #000000;
    height: 64px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 24px;
}

nav a{
    display: flex;
    align-items: center;
    text-decoration: none;
    color: #000000;
    border-bottom: 2px solid transparent;
    transition: border-color 0.3s;
}

nav a:hover{
    border-bottom: 2px solid black;
}

nav a h2{
    font-size: 1.2rem;
    font-weight: normal;
}

#blurScreen{
    position: fixed;
    top: 0;
    height: 100vh;
    width: 0;
    z-index: 50;
    background-color: rgba(255, 255, 255, 0.575);
    transition: opacity 0.1s;
    transition: width 0.1s;
}

#contacts{
    z-index: 51;
    width: 0;
    background-color: white;
    border-radius: 16px;
    box-shadow: 0 0 4px;
    padding: 4px 0;
    position: fixed;
    top: 64px;
    margin: 16px;
    transition: width 0.1s;
    transition: opacity 0.1s;
}

#contacts ul{
    list-style-type: none;
    padding: 0;
    position: relative;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    text-align: center;
    opacity: 0;
}

#contacts ul li{
    margin: 8px;
}

#contacts ul li a{
    color: black;
    text-decoration: none;
    border-bottom: 2px solid transparent;
    transition: border-color 0.3s;
}

#contacts ul li a:hover {
  border-bottom: 2px solid black;
}

#feed img{
    border-radius: 16px;
    margin: 8px 16px;
    width: 100%;
    box-shadow: 0 0 8px black;
}

#feed{
    columns: 300px;
    max-width: 90vw;
    margin: 32px 0;
}

footer{
    background-color: rgb(255, 255, 255);
    box-shadow: 0px 0px 8px;
    width: 100%;
    padding: 32px 64px;
    display: flex;
    justify-content: center;
}

@media (max-width: 700px){
    #feed{
        width: 100vw;
        columns: none;
        padding: 0;
        
    }

    #feed img{
        width: 100%;
        max-width: 100vw;
        margin: 0;
        border-radius: 0;
    }

    nav a h2{
        display: none;
    }

    nav a{
        height: 64px;
        width: 64px;
        position: fixed;
        bottom: 16px;
        right: 16px;
        background-color: white;
        box-shadow: 0px 0px 8px;
        border-radius: 32px;
    }

    #contactImage{
        margin: auto;
        height: 48px;
        width: 48px;
        background: url('images/icons/personFill.svg');
        background-size: cover;
    }

    #contacts{
        top: auto;
        bottom: 72px;
        right: 16px;
    }
}